require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddMeal(MealType.STEAK, "steakPeppered", false);
SManager:AddMeal(MealType.PASTA, "fettucine", true);
SManager:AddMeal(MealType.CHICKEN, "chickenMarsala", false);

SManager:AddCake(CakeType.IRA, "cake2Buttercream", true);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", false);

SManager:AddHoneymoon(HoneymoonType.BEACH, "HMOahu", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMBelize", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMBahamas", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.MEAL, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");